Subject: [bug#49201] [PATCH] installer: Offer the CUPS printing service.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 05 Jul 2021 09:20:21 +0200

Hey Tobias,

> I'm sure my sub-par Gexp-foo is to blame, and there's a clean way to include
> the closure of a service in the installation-os…?

Including a service closure in the installation tests is currently quite
tricky. As explained here: https://issues.guix.gnu.org/47979#15, I guess
it would require to add the cups-service-type to the
installation-target-os-for-gui-tests procedure.

> Oops.  Oh well.  I'm actually glad I missed that.  I finally feel some
> familiarity with how system and installer tests work, now.)

The CI also confirms that things are back to normal.

Thanks for taking care of that,

Mathieu